# dhcpd.conf
#
# Configuration file for ISC dhcpd for Naos with Diskless Workstation
# Setup by Ewen McNeill <ewen@naos.co.nz>, 2000/7/12
#
# [Note: this file has been edited slightly from the file actually in
# use to remove extraneous configuration items.  In particular there
# is a subnet setup for the other network card in the server machine.]

# Hosts with more than one interface MUST specify a ``server-identifier'',
# which should be the IP address of the server's primary network interface,
# or if there is no interface that can be described that way, at least an
# interface whose address isn't likely to change.

server-identifier mosque.home.naos.co.nz;

# option definitions common to all supported networks...
option domain-name "hometerm.naos.co.nz";
option domain-name-servers mosque.hometerm.naos.co.nz;

# PXE bootrom support -- eg for Cyrix bootrom stuff
use-host-decl-names on;

subnet 192.168.254.0 netmask 255.255.255.0 {
  range 192.168.254.100 192.168.254.119;
  option domain-name-servers 192.168.254.10;
  option domain-name "hometerm.naos.co.nz";
  option routers 192.168.254.10;
  option subnet-mask 255.255.255.0;
  option broadcast-address 192.168.254.255;
  default-lease-time 99999;
  max-lease-time 500000;

        group {
            #
            # PXE specific parameters
            #
            # TFTP server IP address
            next-server 192.168.254.10;

            # Name of the bootstrap program
            filename "pxe/pxelinux.bin";

            # Vendor class setup for PXE
            option dhcp-class-identifier "PXEClient";

            # Vendor-specific parameters
            #
            # Example parameters from pxelinux.cfg; not exactly sure what
            # they're supposed to be telling it.
            option vendor-encapsulated-options 09:0f:80:00:0c:4e:65:74:77:6f:72:
6b:20:62:6f:6f:74:0a:07:00:50:72:6f:6d:70:74:06:01:02:08:03:80:00:00:47:04:80:00
:00:00:ff;

            # PXE hosts
            #
            host ewenxterm {
              hardware ethernet 00:e0:4c:88:03:49;
              fixed-address 192.168.254.25;
            }
        }
}
